import {
  __esm,
  __objRest
} from "./chunk-OBKEW4AQ.mjs";

// src/resources/quotes/index.ts
function createQuotesResource(client) {
  return {
    create(_a) {
      var _b = _a, {
        instanceId
      } = _b, data = __objRest(_b, [
        "instanceId"
      ]);
      return client.post(`/instances/${instanceId}/quotes`, data);
    },
    getFxRate(_c) {
      var _d = _c, {
        instanceId
      } = _d, data = __objRest(_d, [
        "instanceId"
      ]);
      return client.post(`/instances/${instanceId}/quotes/fx`, data);
    }
  };
}
var init_quotes = __esm({
  "src/resources/quotes/index.ts"() {
  }
});

export {
  createQuotesResource,
  init_quotes
};
